KDE 4.7 PyKDE API Reference

- KDE's Python API

# global Namespace Reference

`from PyKDE4.marble import *`

## Detailed Description

## Class Index

A | GeoDataLineStyle (Marble) | MarbleMap (Marble)
AbstractDataPlugin (Marble) | GeoDataLod (Marble) | MarbleModel (Marble)
AbstractDataPluginItem (Marble) | GeoDataLookAt (Marble) | MarbleNavigator (Marble)
AbstractDataPluginModel (Marble) | GeoDataMultiGeometry (Marble) | MarbleRunnerManager (Marble)
AbstractFloatItem (Marble) | GeoDataObject (Marble) | MarbleWidget (Marble)
AbstractMarbleGraphicsLayout (Marble) | GeoDataOuterBoundary (Marble) | N
AbstractProjection (Marble) | GeoDataPlacemark (Marble) | NavigationWidget (Marble)
AbstractWorkerThread (Marble) | GeoDataPoint (Marble) | P
B | GeoDataPolygon (Marble) | Planet (Marble)
BookmarkManager (Marble) | GeoDataPolyStyle (Marble) | PluginAboutDialog (Marble)
C | GeoDataRegion (Marble) | PluginInterface (Marble)
ClipPainter (Marble) | GeoDataStyle (Marble) | PositionTracking (Marble)
CurrentLocationWidget (Marble) | GeoDataStyleMap (Marble) | Q
D | GeoDataStyleSelector (Marble) | QtMarbleConfigDialog (Marble)
DownloadRegionDialog (Marble) | GeoDocument (Marble) | Quaternion (Marble)
F | GeoGraphicsItem (Marble) | Quaternion (Marble)
FileViewWidget (Marble) | GeoNode (Marble) | R
FrameGraphicsItem (Marble) | GeoPainter (Marble) | RenderPlugin (Marble)
G | GeoSceneLayer (Marble) | RenderPluginInterface (Marble)
GeoDataAbstractView (Marble) | L | RunnerPlugin (Marble)
GeoDataAccuracy (Marble) | LabelGraphicsItem (Marble) | S
GeoDataColorStyle (Marble) | LatLonBoxWidget (Marble) | ScreenGraphicsItem (Marble)
GeoDataContainer (Marble) | LatLonEdit (Marble) | Serializable
GeoDataCoordinates (Marble) | LayerInterface (Marble) | SunLocator (Marble)
GeoDataDocument (Marble) | LegendWidget (Marble) | T
GeoDataFeature (Marble) | M | TileCoordsPyramid (Marble)
GeoDataFolder (Marble) | MapThemeManager (Marble) | TileCreator (Marble)
GeoDataGeometry (Marble) | MapViewWidget (Marble) | TileLevelRangeWidget (Marble)
GeoDataHotSpot (Marble) | MapWizard (Marble) | TinyWebBrowser (Marble)
GeoDataIconStyle (Marble) | MarbleAboutDialog (Marble) | V
GeoDataInnerBoundary (Marble) | MarbleAbstractRunner (Marble) | ViewParams (Marble)
GeoDataLabelStyle (Marble) | MarbleControlBox (Marble) | ViewportParams (Marble)
GeoDataLatLonAltBox (Marble) | MarbleDirs (Marble) | W
GeoDataLatLonBox (Marble) | MarbleGlobal (Marble) | WidgetGraphicsItem (Marble)
GeoDataLinearRing (Marble) | MarbleGraphicsGridLayout (Marble) |
GeoDataLineString (Marble) | MarbleGraphicsItem (Marble) |

## Enumerations
EnumFeatureId | { InvalidFeatureId, GeoDataDocumentId, GeoDataFolderId, GeoDataPlacemarkId, GeoDataNetworkLinkId, GeoDataScreenOverlayId, GeoDataGroundOverlayId }
EnumGeometryId | { InvalidGeometryId, GeoDataPointId, GeoDataLineStringId, GeoDataLinearRingId, GeoDataPolygonId, GeoDataMultiGeometryId, GeoDataModelId }

## Enumeration Documentation

EnumFeatureId

Enumerator:

  InvalidFeatureId = -1 |
  GeoDataDocumentId = 1 |
  GeoDataFolderId |
  GeoDataPlacemarkId |
  GeoDataNetworkLinkId |
  GeoDataScreenOverlayId |
  GeoDataGroundOverlayId |

EnumGeometryId

Enumerator:

  InvalidGeometryId = -1 |
  GeoDataPointId = 1 |
  GeoDataLineStringId |
  GeoDataLinearRingId |
  GeoDataPolygonId |
  GeoDataMultiGeometryId |
  GeoDataModelId |